Skills
Update a skill
Modifies the specified skill's configuration.
Parámetros de la ruta de acceso
name
string
requerido
The name of the skill to update.
Parámetros de encabezado
Foundry-Features
enum
requerido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Cuerpo de la solicitud
default_version
string
requerido
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Respuestas
The request has succeeded.
Cuerpo
id
string
requerido
The unique identifier of the skill.
name
string
requerido
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
requerido
A human-readable description of the skill.
default_version
string
requerido
The default version for the skill. Can be changed via updateSkill.
latest_version
string
requerido
The latest version for the skill.
Solicitar
POST /skills/{name} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json